flim_1.14.9+0.20120428-17_all.deb


Advertisement

Description

flim - library about internet message for emacsen

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename flim_1.14.9+0.20120428-17_all.deb
Package name flim
Package version 1.14.9+0.20120428
Package release 17
Package architecture all
Package type deb
Category implemented-in::lisp mail role::plugin suite::emacs use::converting use::editing works-with::mail
Homepage http://git.chise.org/elisp/flim/
License -
Maintainer Tatsuya Kinoshita <tats@debian.org>
Download size 184.23 KB
Installed size 596.00 KB
FLIM (Faithful Library about Internet Message) is a library to provide
basic functions about message representation and encoding for emacsen.
It consists of following modules:
std11.el         STD 11 (RFC 822) parser and utility
mime.el          to provide various services about MIME-entities
mime-def.el      Definitions about MIME format
mime-parse.el    MIME parser
mel.el           MIME encoder/decoder
mel-b-dl.el      base64 (B-encoding) encoder/decoder
(for Emacs 20 with dynamic loading support)
mel-b-ccl.el     base64 (B-encoding) encoder/decoder (using CCL)
mel-b-en.el      base64 (B-encoding) encoder/decoder (for other emacsen)
mel-q-ccl.el     quoted-printable and Q-encoding encoder/decoder (using CCL)
mel-q.el         quoted-printable and Q-encoding encoder/decoder
mel-u.el         unofficial backend for uuencode
mel-g.el         unofficial backend for gzip64
eword-decode.el  encoded-word decoder
eword-encode.el  encoded-word encoder

Alternatives

Package Version Architecture Repository
flim_1.14.9+0.20120428-17_all.deb 1.14.9+0.20120428 all Debian Main
flim - - -

Requires

Name Value
apel >= 10.7
dpkg >= 1.15.4
emacs -
emacs-nox -
emacsen -
emacsen-common >= 2.0.8
install-info -

Conflicts

Name Value
flim1.13 -
semi-gnus << 1:6.10.13
tm -

Replaces

Name Value
flim1.13 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package flim_1.14.9+0.20120428-17_all.deb
Source Package flim

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install flim deb package:
    # sudo apt-get install flim

Files

Path
/etc/emacs/site-start.d/50flim.el
/usr/lib/emacsen-common/packages/compat/flim
/usr/lib/emacsen-common/packages/install/flim
/usr/lib/emacsen-common/packages/remove/flim
/usr/share/doc/flim/FLIM-API.en.gz
/usr/share/doc/flim/NEWS.gz
/usr/share/doc/flim/README.en
/usr/share/doc/flim/README.ja.gz
/usr/share/doc/flim/VERSION.gz
/usr/share/doc/flim/changelog.Debian.gz
/usr/share/doc/flim/changelog.gz
/usr/share/doc/flim/copyright
/usr/share/doc/flim/mime-en.texi.gz
/usr/share/doc/flim/mime-ja.texi.gz
/usr/share/doc/flim/sasl.texi.gz
/usr/share/emacs/site-lisp/flim/FLIM-CFG
/usr/share/emacs/site-lisp/flim/FLIM-ELS
/usr/share/emacs/site-lisp/flim/FLIM-MK
/usr/share/emacs/site-lisp/flim/Makefile
/usr/share/emacs/site-lisp/flim/eword-decode.el
/usr/share/emacs/site-lisp/flim/eword-encode.el
/usr/share/emacs/site-lisp/flim/flim-pkg.el
/usr/share/emacs/site-lisp/flim/hex-util.el
/usr/share/emacs/site-lisp/flim/hmac-def.el
/usr/share/emacs/site-lisp/flim/hmac-md5.el
/usr/share/emacs/site-lisp/flim/hmac-sha1.el
/usr/share/emacs/site-lisp/flim/luna.el
/usr/share/emacs/site-lisp/flim/lunit.el
/usr/share/emacs/site-lisp/flim/md4.el
/usr/share/emacs/site-lisp/flim/md5-dl.el
/usr/share/emacs/site-lisp/flim/md5-el.el
/usr/share/emacs/site-lisp/flim/md5.el
/usr/share/emacs/site-lisp/flim/mel-b-ccl.el
/usr/share/emacs/site-lisp/flim/mel-b-dl.el
/usr/share/emacs/site-lisp/flim/mel-b-el.el
/usr/share/emacs/site-lisp/flim/mel-g.el
/usr/share/emacs/site-lisp/flim/mel-q-ccl.el
/usr/share/emacs/site-lisp/flim/mel-q.el
/usr/share/emacs/site-lisp/flim/mel-u.el
/usr/share/emacs/site-lisp/flim/mel.el
/usr/share/emacs/site-lisp/flim/mime-conf.el
/usr/share/emacs/site-lisp/flim/mime-def.el
/usr/share/emacs/site-lisp/flim/mime-parse.el
/usr/share/emacs/site-lisp/flim/mime.el
/usr/share/emacs/site-lisp/flim/mmbuffer.el
/usr/share/emacs/site-lisp/flim/mmcooked.el
/usr/share/emacs/site-lisp/flim/mmexternal.el
/usr/share/emacs/site-lisp/flim/mmgeneric.el
/usr/share/emacs/site-lisp/flim/ntlm.el
/usr/share/emacs/site-lisp/flim/qmtp.el
/usr/share/emacs/site-lisp/flim/sasl-cram.el
/usr/share/emacs/site-lisp/flim/sasl-digest.el
/usr/share/emacs/site-lisp/flim/sasl-ntlm.el
/usr/share/emacs/site-lisp/flim/sasl-scram.el
/usr/share/emacs/site-lisp/flim/sasl.el
/usr/share/emacs/site-lisp/flim/sha1-dl.el
/usr/share/emacs/site-lisp/flim/sha1-el.el
/usr/share/emacs/site-lisp/flim/sha1.el
/usr/share/emacs/site-lisp/flim/smtp.el
/usr/share/emacs/site-lisp/flim/std11.el
/usr/share/info/mime-en.info.gz
/usr/share/info/mime-ja.info.gz

Changelog

2017-01-05 - Tatsuya Kinoshita <tats@debian.org>
flim (1:1.14.9+0.20120428-17) unstable; urgency=medium
* Update 010_flim-1_14-wl.patch to 2016-12-11
* Update debian/copyright
* Drop 020_xemacs.patch (unneeded)
* Prefer emacs-nox over emacs
2016-10-28 - Tatsuya Kinoshita <tats@debian.org>
flim (1:1.14.9+0.20120428-16) unstable; urgency=medium
* New patch 020_xemacs.patch to prevent errors on XEmacs
* Update debhelper compat version to 9
2016-10-09 - Tatsuya Kinoshita <tats@debian.org>
flim (1:1.14.9+0.20120428-15) unstable; urgency=medium
* Update 010_flim-1_14-wl.patch to 2016-08-31
* Accept emacs25
2016-06-04 - Tatsuya Kinoshita <tats@debian.org>
flim (1:1.14.9+0.20120428-14) unstable; urgency=medium
* Update 010_flim-1_14-wl.patch to 2016-03-12
* Update debian/copyright
* Update Standards-Version to 3.9.8
2015-12-26 - Tatsuya Kinoshita <tats@debian.org>
flim (1:1.14.9+0.20120428-13) unstable; urgency=medium
* Update 010_flim-1_14-wl.patch to 2015-12-13
* Update Vcs-Browser to https
2015-08-09 - Tatsuya Kinoshita <tats@debian.org>
flim (1:1.14.9+0.20120428-12) unstable; urgency=medium
* Update 010_flim-1_14-wl.patch to 2015-07-30
2015-05-03 - Tatsuya Kinoshita <tats@debian.org>
flim (1:1.14.9+0.20120428-11) unstable; urgency=medium
* Update 010_flim-1_14-wl.patch to 2015-05-02
- Fix for CCL unusable environments (closes: #783713)
2015-04-28 - Tatsuya Kinoshita <tats@debian.org>
flim (1:1.14.9+0.20120428-10) unstable; urgency=medium
* Update 010_flim-1_14-wl.patch to 2015-04-28
* Update debian/copyright
* Update Vcs-Browser
* Update Standards-Version to 3.9.6
2014-09-16 - Tatsuya Kinoshita <tats@debian.org>
flim (1:1.14.9+0.20120428-9) unstable; urgency=medium
* Sync 010_flim-1_14-wl.patch on 2014-09-15
- Workaround to handle '%s' in /etc/mailcap (closes: #572993)
2014-06-28 - Tatsuya Kinoshita <tats@debian.org>
flim (1:1.14.9+0.20120428-8) unstable; urgency=medium
* Sync 010_flim-1_14-wl.patch on 2014-06-26

See Also

Package Description
flintqs_1.0-1+b1_i386.deb Program using quadratic sieve to factor integers
flip_1.20-3_i386.deb convert text file line endings between Unix and DOS formats
flite1-dev_2.0.0-release-3+b1_i386.deb Small run-time speech synthesis engine - development files
flite_2.0.0-release-3+b1_i386.deb Small run-time speech synthesis engine
flmsg_2.0.16.01-1+b1_i386.deb amateur radio forms management editor
floatbg_1.0-28+b2_i386.deb slowly modify the color of the X root window
flobopuyo_0.20-5+b2_i386.deb Clone of the PuyoPuyo game
flog_1.8-3+b2_i386.deb dump STDIN to file and reopen on SIGHUP
floppyd_4.0.18-2+b1_i386.deb Daemon for remote access to floppy drives
florence_0.6.3-1+b2_i386.deb extensible and scalable virtual keyboard for X
flow-tools-dev_0.68-12.5_i386.deb development files for flow-tools
flow-tools_0.68-12.5_i386.deb collects and processes NetFlow data
flowblade_1.10-2_all.deb non-linear video editor
flowgrind_0.8.0-1+b1_i386.deb Distributed network performance measurement tool
flowscan-cuflow_1.7-9_all.deb Flowscan module combining CampusIO and SubNetIO
Advertisement
Advertisement